Home
last modified time | relevance | path

Searched refs:u (Results 1 – 25 of 61) sorted by relevance

123

/coreutils/tests/id/
Dzero.sh22 u="$( id -nu )"
24 id "$u" || fail=1
35 users="$u"
37 for u in root man postfix sshd nobody ; do
38 id $u >/dev/null 2>&1 && users="$users $u"
47 while read u ; do
48 for o in g gr G Gr u ur ; do
50 printf '%s: ' "id -${o}${n}[z] $u" >> exp || framework_failure_
51 printf '\n%s: ' "id -${o}${n}[z] $u" >> out || framework_failure_
54 id -${o}${n} $u >> exp ||
[all …]
/coreutils/tests/head/
Dhead-elide-tail.pl76 my @u = @$t;
78 $u[0] .= 'p';
79 $u[1] .= ' ---presume-input-pipe';
80 push @Tests, \@u;
96 my @u = @$t;
98 $u[0] .= 'p';
99 $u[1] .= ' ---presume-input-pipe';
100 push @Tests, \@u;
/coreutils/src/
Dexpr.c84 } u; member
355 mpz_init_set_ui (v->u.i, i); in int_value()
366 v->u.s = xstrdup (s); in str_value()
376 free (v->u.s); in freev()
378 mpz_clear (v->u.i); in freev()
390 mpz_out_str (stdout, 10, v->u.i); in printv()
394 puts (v->u.s); in printv()
410 return mpz_sgn (v->u.i) == 0; in null()
413 char const *cp = v->u.s; in null()
458 char *s = mpz_get_str (nullptr, 10, v->u.i); in tostring()
[all …]
Dusers.c47 char **u = xinmalloc (n, sizeof *u); in list_entries_users() local
59 u[n_entries] = trimmed_name; in list_entries_users()
65 qsort (u, n_entries, sizeof (u[0]), userid_compare); in list_entries_users()
70 fputs (u[i], stdout); in list_entries_users()
75 free (u[i]); in list_entries_users()
76 free (u); in list_entries_users()
Dlonglong.h568 #define umul_ppmm(w1, w0, u, v) \ argument
571 __ll_UTItype __ll = (__ll_UTItype)(u) * (v); \
589 #define umul_ppmm(w1, w0, u, v) \ argument
595 : "%0" ((USItype)(u)), "r" ((USItype)(v))); \
597 #define smul_ppmm(w1, w0, u, v) \ argument
603 : "%0" ((SItype)(u)), "r" ((SItype)(v))); \
605 #define __umulsidi3(u, v) \ argument
608 : "=r" (__w) : "%0" ((USItype)(u)), "r" ((USItype)(v))); \
614 #define umul_ppmm(ph, pl, u, v) \ argument
619 __asm__ ("mult.lu %1,%2,%0" : "=r" (__x.__ll) : "%r" (u), "rK" (v));\
[all …]
Dtr.c126 u; member
646 new->u.normal_char = c; in append_normal_char()
674 new->u.range.first_char = first; in append_range()
675 new->u.range.last_char = last; in append_range()
696 new->u.char_class = char_class; in append_char_class()
714 new->u.repeated_char.the_repeated_char = the_char; in append_repeated_char()
715 new->u.repeated_char.repeat_count = repeat_count; in append_repeated_char()
736 new->u.equiv_code = *equiv_class_str; in append_equiv_class()
1033 return_val = p->u.normal_char; in get_next()
1040 s->state = p->u.range.first_char; in get_next()
[all …]
Dsystem.h467 gcd (size_t u, size_t v) in gcd() argument
471 size_t t = u % v; in gcd()
472 u = v; in gcd()
477 return u; in gcd()
486 lcm (size_t u, size_t v) in lcm() argument
488 return u * (v / gcd (u, v)); in lcm()
Dshuf.c415 uintmax_t u; in main() local
417 strtol_error err = xstrtoumax (optarg, &lo_end, 10, &u, nullptr); in main()
420 lo_input = u; in main()
421 if (lo_input != u) in main()
427 err = xstrtoumax (lo_end + 1, nullptr, 10, &u, ""); in main()
430 hi_input = u; in main()
431 if (hi_input != u) in main()
/coreutils/tests/cp/
Dperm.sh29 for u in 31 37 2; do
30 echo umask: $u
31 umask $u
38 chmod u=r,g=rx,o= src || exit 1
43 chmod u=rw,g=$g_perm,o=$o_perm dest || exit 1
57 test $u = 37 &&
61 test $u = 31 &&
Dpreserve-gid.sh39 u=$1; shift
44 if test "x$s" != "x$u $g"; then
47 if test "x$s" = "x$u $primary_group_num"; then
50 echo "$0: $* $f b: $u $g != $s" 1>&2
125 u=$1; shift
127 t0 "$f" "$u" "$g" \
Dspecial-bits.sh28 chmod u+sx,go= a || framework_failure_
29 chmod u=rwx,g=sx,o= b || framework_failure_
32 chmod u=rwx,g=rx,o=rx . || framework_failure_
Dexisting-perm-dir.sh23 mkdir -p -m ug-s,u=rwx,g=rwx,o=rx src/dir || fail=1
24 mkdir -p -m ug-s,u=rwx,g=,o= dst/dir || fail=1
Dpreserve-link.sh24 local u v
25 u=$(stat --format %i "$1") &&
26 v=$(stat --format %i "$2") && test "$u" = "$v"
/coreutils/tests/du/
Dexclude.sh22 mkdir -p a/b/c a/x/y a/u/v || framework_failure_
35 du --exclude=a/u --exclude=a/b a \
41 a/u
42 a/u/v
45 a/u
46 a/u/v
Done-file-system.sh43 du -xL d > u || fail=1
44 sed 's/^[0-9][0-9]* //' u > out1 || framework_failure_
51 du $opt f > u || fail=1
52 sed 's/^[0-9][0-9]* //' u > out2 || framework_failure_
/coreutils/tests/chown/
Dseparator.sh54 for u in $id_u "$id_un" ''; do
56 case $u$g in
61 case $u$sep$g in
62 [0-9]*$sep) returns_ 1 chown "$u$sep$g" . 2>/dev/null || fail=1 ;;
63 *) chown "$u$sep$g" . || fail=1 ;;
/coreutils/tests/chmod/
Dequals.sh31 for src in u g o; do
32 for dest in u g o; do
42 chmod a=,u=rwx,=u f || fail=1
Dinaccessible.sh26 chmod u+rwx d d/e || fail=1
Dignore-symlink.sh27 chmod u+w -R dir 2> out || fail=1
/coreutils/tests/rm/
Drm2.sh26 chmod u-x a/1 b || framework_failure_
52 chmod u+x b
Dunread2.sh24 chmod u-r a
/coreutils/tests/mkdir/
Dperm.sh66 mkdir -m =,u=rwx parent || fail=1
80 chmod -R u+rwx parent
Dp-2.sh23 test -d t/u || fail=1
/coreutils/tests/basenc/
Dbase64.pl164 my $u = $t;
165 substr ($u, $i, 0) = "\n";
166 push @out, $u;
/coreutils/tests/shred/
Dshred-remove.sh28 chmod u-w $file || framework_failure_
53 a b c d e f g h i j k l m n o p q r s t u v w x y z \

123